//
//  FLHVNetworkHelper.swift
//

import Foundation
import HyperSnapSDK

public class FLHVNetworkHelper{
    
    static var NETWORK_HELPER_MAKE_OCR_CALL = "networkHelperMakeOCRCall"
    static var NETWORK_HELPER_MAKE_FACE_MATCH_CALL = "networkHelperMakeFaceMatchCall"
    
    static func makeOCRCall(context: UIViewController, endpoint: String, documentUri: String, parameters: NSDictionary, headers: NSDictionary, callback: @escaping ((HVError?,HVResponse?)->Void)){
        
        HVNetworkHelper.makeOCRAPICall(endpoint: endpoint, documentUri: documentUri, parameters: parameters as? [String : AnyObject], headers: headers as? [String : String], completionHandler: callback)
    }
    
    static func makeFaceMatchCall(context: UIViewController, endpoint: String, faceUri: String, documentUri: String, faceMatchModeString: String, parameters: NSDictionary, headers: NSDictionary, callback: @escaping ((HVError?,HVResponse?)->Void)){
        let faceMatchModeStringArray = faceMatchModeString.components(separatedBy: ".")
        let faceMatchMode = getFaceMatchMode(faceMatchModeString: faceMatchModeStringArray[1])
        
        HVNetworkHelper.makeFaceMatchAPICall(endpoint: endpoint, image1: faceUri, image2: documentUri, faceMatchMode: faceMatchMode, parameters: parameters as? [String : AnyObject], headers: headers as? [String : String], completionHandler: callback)
    }
    
    private static func getFaceMatchMode(faceMatchModeString: String) -> HyperSnapParams.FaceMatchMode {
        switch faceMatchModeString {
        case "FACE_FACE":
            return .Face_Face
        case "FACE_ID_FACE_STRING":
            return .Face_IdFaceString
        default:
            return .Face_Id
        }
    }
}

